package com.vendor.platform.ui.internal;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.ui.internal.PerspectiveUtil;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.internal.registry.PerspectiveDescriptor;

public class ToolEntryAction extends Action {
  String name;
  
  PerspectiveDescriptor perspective;
  
  public ToolEntryAction(String name, PerspectiveDescriptor perspective) {
    this.name = name;
    this.perspective = perspective;
  }
  
  public boolean init() {
    ImageDescriptor descriptor = this.perspective.getImageDescriptor();
    if (descriptor == null)
      return false; 
    setImageDescriptor(descriptor);
    setText(this.name);
    return true;
  }
  
  public void run() {
    try {
      PerspectiveUtil.openPerspective(this.perspective.getId());
    } catch (Exception e) {
      e.printStackTrace();
    } 
  }
}
